#!/bin/bash
#
#------------------------------------------------------------------------
#
#   IBM Software
#   Licensed Material - Property of IBM
#   (C) Copyright International Business Machines Corp. 2016, 2017
#   All Rights Reserved.
#
#   U.S. Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with
#   IBM Corp.
#
#------------------------------------------------------------------------
#   fetch_fedora_disk_image.sh
#------------------------------------------------------------------------

DISKIMG_LOC=https://oplab9.parqtec.unicamp.br/pub/ppc64el/systemsim/p10/dd20
LE_DISKIMG_FILE=fedora34-at15.img.gz
RENAME_FILE=fc34.img

check_deps() {
  for DEP in wget gzip
  do
    DEP_PATH=`which $DEP 2>/dev/null`
    if [ "$DEP_PATH" == "" ]
    then
      echo "Error: $DEP command not found"
      echo "  Please install $DEP and try again"
      exit 2
    fi
  done
}

check_deps

# only a little endian disk image is supplied
DISKIMG_FILE=$LE_DISKIMG_FILE

echo "Fetching LE disk image..."
wget --no-check-certificate ${DISKIMG_LOC}/${DISKIMG_FILE}

echo "Uncompressing disk image..."
gzip -d ${DISKIMG_FILE}
DISKIMG=`echo $DISKIMG_FILE | rev | cut -c 4- | rev`

mv $DISKIMG $RENAME_FILE

echo "Disk image $RENAME_FILE has been downloaded and prepared for execution.."
echo "Reminder: root's password is \"mambo\""
